Subject: bug#15784: closed (Re: bug#15784: 24.3.50; cc-mode bug reporting)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 May 2015 06:32:03 +0000

Your bug report

#15784: 24.3.50; cc-mode bug reporting

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15784: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15784
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15784: 24.3.50; cc-mode bug reporting
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 27 May 2015 02:31:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 25.1

Done.

Subject: 24.3.50; cc-mode bug reporting
From: Michael Welsh Duggan <[email-masked]>
To: [email-masked]
Cc: Alan Mackenzie <[email-masked]>
Date: Fri, 01 Nov 2013 12:01:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I reported a bug a while back (I think) from my [email-masked] address
that deals with C++11 enumeration class indentation.  I reported it via
c-submit-bug-report.

Example of bad behavior:

enum class foo : int {
    A,
        B,
        C
        };

This message is only partially about this problem, though.  My real
question is whether `M-x c-submit-bug-report' is still a valid way to
report bugs for cc-mode.  It sends to [email-masked].  It might
make sense to change this to send to the gnu debbugs list instead, with
an appropriate cc-mode tag.

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, X toolkit)
 of 2013-09-11 on maru2
Bzr revision: 111214 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
System Description:	Debian GNU/Linux unstable (sid)

Configured using:
 `configure --without-toolkit-scroll-bars --with-x-toolkit=lucid
 'CFLAGS=-Og -ggdb' --with-wide-int'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Recent messages:
You can run the command `c-submit-bug-report' with C-c C-b
Please enter your report.  Type C-c C-c to send, C-c C-k to abort.
Mark set
Auto-saving...done
Scanning for dabbrevs...done
Expansion found in ' *Minibuf-1*'
Don't touch it!  It's the History Eraser Button, you fool! [2 times]
syntax: ((topmost-intro-cont 23)), indent: 8
Undo!
Auto-saving...done

-- 
Michael Welsh Duggan
([email-masked])